## yarsync 0.1.1+deb

=== requirements.txt ===
# development
pytest
coverage
pytest-cov
pytest-mock

=== debian/changelog ===
yarsync (0.1.1+deb-2) unstable; urgency=medium

  * Team upload.
    + Source-only upload for testing migration.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 01 Oct 2022 10:48:15 +0530

yarsync (0.1.1+deb-1) experimental; urgency=medium

  * Initial release. (Closes: #1014317)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 29 Aug 2022 10:00:21 +0530

=== debian/control ===
Source: yarsync
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-mock <!nocheck>,
               rsync <!nocheck>,
               pybuild-plugin-pyproject
Standards-Version: 4.6.1
Homepage: https://github.com/ynikitenko/yarsync
Vcs-Browser: https://salsa.debian.org/python-team/packages/yarsync.git
Vcs-Git: https://salsa.debian.org/python-team/packages/yarsync.git

Package: yarsync
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         rsync
Description: file sync and backup too
 can be used to synchronize data between different hosts
 or locally. (eg for a backup drive).
 .
 provides a familiar git command interface when working with files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=yarsync
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	# Fix directory perms after tests
	find .pybuild -type d -name test_dir_read_only | xargs chmod u+w
	find .pybuild -type d -name forbidden | xargs chmod u+w
endif

override_dh_auto_clean:
	if [ -d .pybuild ]; then find .pybuild -type d -name test_dir_read_only | xargs chmod u+w || echo "No test_dir_read_only, no perm change"; fi
	if [ -d .pybuild ]; then find .pybuild -type d -name forbidden | xargs chmod u+w || echo "No test_dir_read_only, no perm change"; fi
	dh_auto_clean

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && yarsync init && echo tmp > tmp && yarsync commit -m "Initial commit" && yarsync status
Depends: @

=== debian/watch ===
version=4
https://github.com/ynikitenko/yarsync/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## yarsync 0.2.1

=== requirements.txt ===
## development
pytest
coverage
pytest-cov
pytest-mock
tox
## documentation
sphinx
# to use Markdown with Sphinx
myst-parser
# sphinx theme
furo

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# to see a man page on the fly, use
# cat source/yarsync.1.md | sed 's/^##/#/g' | pandoc -s -t man | /usr/bin/man -l -
man:
	@cat source/yarsync.1.md | grep -v '# YARsync manual' | sed 's/^##/#/g' \
     | pandoc -s -t man > yarsync.1

.PHONY: help Makefile man

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
yarsync (0.2.1-4) unstable; urgency=medium

  * debian/control:
     - Bumped Standards-Version to 4.7.0
  * debian/patches:
     - Added function close()to mock_calls in Python 3.13.1 (Closes: #1082338)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 31 Dec 2024 20:50:23 -0300

yarsync (0.2.1-3) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary test dependency on python3-unittest2.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Sep 2024 17:52:59 +0100

yarsync (0.2.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migration

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 11 Jul 2023 20:56:21 -0300

yarsync (0.2.1-1) unstable; urgency=medium

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.2.1
  * debian/control: Bumped Standards-Version 4.6.2
  * debian/copyright: updated year to 2023
  * debian/patches: patches fixed in new version
  * debian/rules: fixed package build error
  * debian/source: removed file without effect
  * debian/tests: replaced broken tests

  [ Bastian Germann ]
  * Drop Vcs-Browser's .git

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 05 Jul 2023 18:27:57 -0300

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                python3-pytest-mock <!nocheck>,
                rsync <!nocheck>,
                pybuild-plugin-pyproject
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/ynikitenko/yarsync
-Vcs-Browser: https://salsa.debian.org/python-team/packages/yarsync.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/yarsync
 Vcs-Git: https://salsa.debian.org/python-team/packages/yarsync.git
 
 Package: yarsync

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=yarsync
export PYBUILD_TEST_ARGS=--ignore=tests/test_clone.py \
	--ignore=tests/test_status.py
%:
	dh $@ --with python3 --buildsystem=pybuild

## yarsync 0.3.1

=== requirements.txt ===
## development
pytest
coverage
pytest-cov
pytest-mock
tox

=== docs/requirements.txt ===
sphinx
# to use Markdown with Sphinx
myst-parser
# sphinx theme
furo

=== debian/changelog ===
yarsync (0.3.1-1) unstable; urgency=medium

  * New upstream version 0.3.1
  * debian/control:
    - Bumped Standards-Version to 4.7.2
    - Updated dh-python by dh-sequence-python3
  * debian/rules:
    - Removed tag e unnecessary files
  * debian/pathes:
    - Removed 0001.Added-function-close-to-function-mock-calls.patch

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 12 Apr 2025 20:22:47 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
                python3-all,
                python3-pytest <!nocheck>,
@@ -13,7 +13,7 @@
                python3-pytest-mock <!nocheck>,
                rsync <!nocheck>,
                pybuild-plugin-pyproject
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ynikitenko/yarsync
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yarsync
 Vcs-Git: https://salsa.debian.org/python-team/packages/yarsync.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=yarsync
export PYBUILD_TEST_ARGS=--ignore=tests/test_clone.py \
	--ignore=tests/test_status.py
%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -A

execute_after_dh_link:
	rm -rf debian/yarsync/usr/lib/python3/dist-packages/debian
	rm -rf debian/yarsync/usr/lib/python3/dist-packages/docs

=== debian/tests/control ===
Test-Command: python3 -m pytest  -v tests/test_pull_push.py
Depends: @, python3-all, python3-pytest
Restrictions: allow-stderr

## yarsync 0.3.3

=== debian/changelog ===
yarsync (0.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Feb 2026 16:28:10 +0000

yarsync (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Disable colors in tests (closes: #1123367).
  * Avoid including stray packages in wheel.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 16:34:42 +0000
